EnderDash

Record Server Rpc Activity

POST
/activity/recordServerRpcActivity

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
serverId?string
Length1 <= length
serverSlug?string
Length1 <= length
rpcMethod*string
Length1 <= length
params?unknown
outcome*string

Value in

  • "succeeded"
  • "failed"
error?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/activity/recordServerRpcActivity" \  -H "Content-Type: application/json" \  -d '{    "rpcMethod": "string",    "outcome": "succeeded"  }'
null